package org.klomp.sftp.packet;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.klomp.ssh.DataIO;

public class FxpInit extends SftpPacket
{
    FxpInit(int version)
    {
        super(SftpPacket.FXP_INIT, version);
    }

    protected void readPayload(InputStream payload) throws IOException
    {
        version = DataIO.readInt(payload);
    }

    protected void writePayload(ByteArrayOutputStream payload)
    {
        DataIO.writeInt(payload, version);
    }
}