package org.klomp.eclipse.team.sftp.client;

import org.eclipse.core.runtime.IProgressMonitor;

import org.eclipse.team.core.TeamException;

/**
 * Allows nesting of Sftp operations.
 * 
 * Each runnable must leave the connection in the same directory as it started
 */
public interface ISftpRunnable
{
    void run(String basePath, IProgressMonitor monitor) throws TeamException;
}
