package org.klomp.eclipse.team.sftp.client;

import java.util.Date;

public class SftpDirectoryEntry
{
    private String name;
    private boolean isDirectory;
    private boolean isFile;
    private long size;
    private Date modTime;

    public SftpDirectoryEntry(String name, boolean isDirectory, boolean isFile, long size, Date modTime)
    {
        this.name = name;
        this.isDirectory = isDirectory;
        this.isFile = isFile;
        this.size = size;
        this.modTime = modTime;
    }

    public String getName()
    {
        return name;
    }

    public boolean isDirectory()
    {
        return isDirectory;
    }

    public boolean isFile()
    {
        return isFile;
    }

    public long getSize()
    {
        return size;
    }

    public Date getModTime()
    {
        return modTime;
    }
}
