package org.klomp.sftp.protocol;

import java.io.IOException;

import org.klomp.eclipse.team.sftp.SftpException;


public class SftpIOException extends IOException
{
    private SftpException sftpException;

    public SftpIOException(SftpException e)
    {
        super(e.getMessage());
        this.sftpException = e;
    }

    public SftpException getSftpException()
    {
        return sftpException;
    }

}
